Package com.xebialabs.xlrelease.api

## Interface ApiService

- All Known Subinterfaces:
    `ActivityLogsApi`, `ApplicationApi`, `CategoryApi`, `ConfigurationApi`, `DeliveryApi`, `DeliveryPatternApi`, `DslApi`, `EnvironmentApi`, `EnvironmentLabelApi`, `EnvironmentReservationApi`, `EnvironmentStageApi`, `FacetApi`, `FolderApi`, `ManagedApplicationApi`, `PermissionsApi`, `PhaseApi`, `PlannerApi`, `ReleaseApi`, `ReleaseGroupApi`, `ReportApi`, `RiskApi`, `RolesApi`, `TaskApi`, `TaskReportingApi`, `TemplateApi`, `TriggersApi`, `UserApi`, `WorkflowApi`

      public interface ApiService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_RESULTS_PER_PAGE` |
    `static java.lang.String` | `DEFAULT_RESULTS_PER_PAGE_STRING` |
    `static java.lang.String` | `DEPTH` |
    `static java.lang.String` | `ORDER_BY` |
    `static java.lang.String` | `PAGE` |
    `static java.lang.String` | `PAGE_IS_OFFSET` |
    `static java.lang.String` | `RESULTS_PER_PAGE` |
    `static java.lang.String` | `ROLE_IDS_DATA` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `serviceName()` |

- - ### Field Detail

    - #### PAGE

          static final java.lang.String PAGE

      See Also:
        Constant Field Values

    - #### RESULTS_PER_PAGE

          static final java.lang.String RESULTS_PER_PAGE

      See Also:
        Constant Field Values

    - #### ORDER_BY

          static final java.lang.String ORDER_BY

      See Also:
        Constant Field Values

    - #### DEPTH

          static final java.lang.String DEPTH

      See Also:
        Constant Field Values

    - #### PAGE_IS_OFFSET

          static final java.lang.String PAGE_IS_OFFSET

      See Also:
        Constant Field Values

    - #### ROLE_IDS_DATA

          static final java.lang.String ROLE_IDS_DATA

      See Also:
        Constant Field Values

    - #### DEFAULT_RESULTS_PER_PAGE

          static final long DEFAULT_RESULTS_PER_PAGE

      See Also:
        Constant Field Values

    - #### DEFAULT_RESULTS_PER_PAGE_STRING

          static final java.lang.String DEFAULT_RESULTS_PER_PAGE_STRING

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### serviceName

          java.lang.String serviceName()